Package com.ads.api.beans.csm

# Class Category

java.lang.Object
com.ads.api.beans.common.Node
com.ads.api.beans.csm.Category

public class Category extends Node
The category class contains several useful class fields and methods related to category and sub categories. These methods used for setting data to the current object and getting data from the current object .

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static enum`
  `Category.Type`
  These ENUM constants are used to specify the CategoryType as ENTERPRISE_CODESETS, CODESET_MAPPINGS.

  ## Nested classes/interfaces inherited from class com.ads.api.beans.common.Node

  `Node.Depth, Node.InputDataType, Node.NodeType, Node.ReturnType`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Category()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `AuditHistory`
  `getAuditHistory()`
  Returns the auditHistory details of the category.
  `List<Category>`
  `getCategories()`
  Returns the list of categories.
  `Category.Type`
  `getCategoryType()`
  Returns the categoryType of the category
  `List<Codeset>`
  `getCodesets()`
  Returns the list of codesets
  `String`
  `getDescription()`
  Returns the description of the category.
  `int`
  `getId()`
  Returns the id of the category.
  `String`
  `getName()`
  Returns the name of the category.
  `int`
  `getParentId()`
  Returns the parentId of the category.
  `void`
  `setAuditHistory(AuditHistory auditHistory)`
  Sets the auditHistory details of category as specified
  `void`
  `setCategories(List<Category> categories)`
  Sets the list of categories
  `void`
  `setCategoryType(Category.Type categoryType)`
  Sets the categoryType of category as specified.
  `void`
  `setCodesets(List<Codeset> codesets)`
  Sets the list of codesets to the category object as specified.
  `void`
  `setDescription(String description)`
  Sets the name of category as specified
  `void`
  `setId(int id)`
  Sets the id of category.
  `void`
  `setName(String name)`
  Sets the name of category as specified
  `void`
  `setParentId(int parentId)`
  Sets the parentId of category
  `String`
  `toString()`

  ### Methods inherited from class com.ads.api.beans.common.Node

  `addChildNode, getChildNodes, getEndPointType, getNodeId, getNodeType, getObjectTypeId, setChildNodes, setEndPointType, setNodeId, setNodeType, setObjectTypeId`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Category

    public Category()

- ## Method Details

  - ### getId

    public int getId()
    Returns the id of the category.
    Returns:
      id int

  - ### setId

    public void setId(int id)
    Sets the id of category.
    Parameters:
      `id` - int

  - ### getName

    public String getName()
    Returns the name of the category.
    Returns:
      name String

  - ### setName

    public void setName(String name)
    Sets the name of category as specified
    Parameters:
      `name` - String

  - ### getParentId

    public int getParentId()
    Returns the parentId of the category.
    Returns:
      parentId int

  - ### setParentId

    public void setParentId(int parentId)
    Sets the parentId of category
    Parameters:
      `parentId` - int

  - ### getDescription

    public String getDescription()
    Returns the description of the category.
    Returns:
      description String

  - ### setDescription

    public void setDescription(String description)
    Sets the name of category as specified
    Parameters:
      `description` - String

  - ### getAuditHistory

    public AuditHistory getAuditHistory()
    Returns the auditHistory details of the category.
    Returns:
      auditHistory AuditHistory

  - ### setAuditHistory

    public void setAuditHistory(AuditHistory auditHistory)
    Sets the auditHistory details of category as specified
    Parameters:
      `auditHistory` - AuditHistory

  - ### getCategories

    public List<Category> getCategories()
    Returns the list of categories.
    Returns:
      categories List

  - ### setCategories

    public void setCategories(List<Category> categories)
    Sets the list of categories
    Parameters:
      `categories` - List

  - ### getCodesets

    public List<Codeset> getCodesets()
    Returns the list of codesets
    Returns:
      codesets List

  - ### setCodesets

    public void setCodesets(List<Codeset> codesets)
    Sets the list of codesets to the category object as specified.
    Parameters:
      `codesets` - List

  - ### getCategoryType

    public Category.Type getCategoryType()
    Returns the categoryType of the category
    Returns:
      categoryType Type

  - ### setCategoryType

    public void setCategoryType(Category.Type categoryType)
    Sets the categoryType of category as specified.
    Parameters:
      `categoryType` - Type

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`